curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/quickbooks/ledger/accounts/{accountId}/update-mapping \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"local_ledger_account_identifier": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/quickbooks/ledger/accounts/{accountId}/update-mapping"
payload = { "local_ledger_account_identifier": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
local_ledger_account_identifier: {type: 'AccountId', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/quickbooks/ledger/accounts/{accountId}/update-mapping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"stable_name": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
},
"balance": 123,
"local_ledger_account": {
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"child_accounts": "<array>"
}""Update Quickbooks account mapping
This API call updates the mapping of a Quickbooks account to a Layer ledger account.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Path Parameters
The UUID of the business to update Quickbooks account mapping for.
The UUID of the Quickbooks account to update mapping for.
Body
The local ledger account identifier to map the Quickbooks ledger account to.
- Account ID
- Account Stable Name
Show child attributes
Show child attributes
Response
The UUID of the Quickbooks ledger account.
The name of the Quickbooks ledger account.
The stable name of the Quickbooks ledger account.
- Account ID
- Account Stable Name
Show child attributes
Show child attributes
The normality of the Quickbooks ledger account.
CREDIT, DEBIT The type of the Quickbooks ledger account.
Show child attributes
Show child attributes
The subtype of the Quickbooks ledger account.
Show child attributes
Show child attributes
The balance of the Quickbooks ledger account.
The local ledger account associated with the Quickbooks ledger account.
Show child attributes
Show child attributes
The child accounts of the Quickbooks ledger account.